textures/mrd3dm2/fullmoon-killskyclouds-mrd3dm2
{
	qer_editorImage textures/mrd3dm2/fullmoon-killskyclouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 231 234 255 65 -97 29 2 16 //RGB intesity degrees elevation deviance samples
	q3map_LightMapFilterRadius 0 8
	q3map_skylight 80 6
	nopicmip
	skyparms textures/mrd3dm2/fullmoon/fullmoon 512 -
	{
		map textures/skies/killsky_2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.062
		tcMod scale 3 2
	}
}

textures/mrd3dm2/coolfan
{
		qer_editorimage textures/sfx/fan.tga
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        nopicmip
	{
		clampmap textures/sfx/fan.tga
		tcMod rotate 896
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/mrd3dm2/beam_RA
{
	qer_editorimage textures/sfx/beam_red.tga
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
    qer_trans .5
	cull none
	{
		map textures/sfx/beam_red.tga
				tcMod turb 0 0.17 0 0.412 //base amp phase freq
                tcMod Scroll .5 0
                blendFunc add
    }
    {
    	map textures/sfx/beam.tga
    			tcMod turb 0 0.15 0 0.6174 //base amp phase freq
    			tcMod Scroll -.375 0
    			blendFunc add
    }    
}

textures/mrd3dm2/beam_quad
{
	qer_editorimage textures/sfx/beam_blue4.tga
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
    qer_trans .5
	cull none
	{
		map textures/sfx/beam_blue4.tga
				tcMod turb 0 0.14 0 0.659 //base amp phase freq
                tcMod Scroll .5 0
                blendFunc add
    }
    {
		map textures/sfx/beam_blue4.tga
				tcMod turb 0 0.17 0.25 0.659 //base amp phase freq
                tcMod Scroll .5 0
                blendFunc add
    }
    {
    	map textures/sfx/beam.tga
    			tcMod turb 0 0.15 0 0.494 //base amp phase freq
    			tcMod Scroll -.375 0
    			blendFunc add
    }    
}

textures/mrd3dm2/beam_bounce
{
    qer_editorimage textures/sfx/beam_blue4.tga
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	/*{
		map textures/mrd3dm2/eq2_telegoo.tga
		rgbGen identity
		tcMod turb 0 0.5 0 1.75
		tcGen environment
	}*/
	{
		map textures/sfx/beam.tga
		//tcGen environment
		tcMod turb 0 0.0347 0.25 2.4694 //base amp phase freq
		tcMod Scroll 2.4694 0
                blendFunc add
        }
    	{
		map textures/mrd3dm2/beam_burn.tga
		//tcGen environment
		//tcMod turb 0 0.015 0 2.06 //base amp phase freq
		//tcMod Scroll 0.43 -1.2347
		tcMod Scroll 0.43 -2.4694
                blendFunc add
        }
        /*{
		map textures/sfx/beam_waterlight.tga
		//tcGen environment
		//tcMod turb 0 0.012 0 2.75 //base amp phase freq
		tcMod Scroll 0.46 -2.57
                blendFunc add
        }*/
}

textures/mrd3dm2/beam_teleporter
{
        qer_editorimage textures/sfx/beam_waterlight.tga
	q3map_globaltexture
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans 0.6
	cull none
		{
		map textures/sfx/beam.tga
		tcGen environment
		tcMod turb 0 0.17 0 1.635 //base amp phase freq
		tcMod Scroll 82.41 0.4
                blendFunc add
        }
    	{
		map textures/sfx/beam_blue4.tga
		tcGen environment
		tcMod turb 0 0.15 0 2.06 //base amp phase freq
		tcMod Scroll 123.47 0.43
                blendFunc add
        }
        {
		map textures/sfx/beam_waterlight.tga
		tcGen environment
		tcMod turb 0 0.12 0 2.75 //base amp phase freq
		tcMod Scroll 196 0.46
                blendFunc add
        }
        /*
		map textures/mrd3dm2/eq2_telegoo.tga
		blendFunc add
		rgbGen identity
		tcMod turb 0 0.4 0 0.4
		tcMod Scroll 247 0.55
		tcGen environment
	}*/
}

textures/mrd3dm2/beam_water_nolight
{
        qer_editorimage textures/sfx/beam_waterlight.tga
	q3map_globaltexture
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans 0.6
	cull none
	{
		map textures/sfx/beam_waterlight.tga
		tcMod turb 0 0.015 0.5 0.07
		tcMod Scroll .2 0
                blendFunc add
        }

}

textures/mrd3dm2/eq2_banner
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 8
     deformVertexes wave 30 sin 0 2 0 .2
     deformVertexes wave 100 sin 0 2 0 .7
     
	{
        map textures/mrd3dm2/eq2_banner.tga
        alphaFunc GE128
		depthWrite
		rgbGen vertex
    }
    {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/mrd3dm2/eq2_bounce
{
	q3map_surfacelight 30
	q3map_lightimage textures/mrd3dm2/proto_zzztamb.tga
	qer_editorimage textures/mrd3dm2/eq2_bounce.tga
	
	{
		map textures/mrd3dm2/eq2_bounce.tga
		rgbGen identity
	}
	{
        map textures/mrd3dm2/proto_zzztamb.tga
        //blendFunc GL_ONE GL_ZERO
        tcGen environment
        //tcmod scale 7 7
        tcMod turb 0 0.25 0 0.5
        tcMod scroll 1 1
        tcmod rotate 22
        blendFunc blend
        depthWrite        
        rgbGen identity
	}
	{
		clampmap textures/mrd3dm2/eq2_bouncefan.tga
		tcMod rotate 360
		blendFunc blend
		depthWrite
		rgbGen identity

	}
	{
		map textures/mrd3dm2/eq2_bounce.tga
		blendfunc blend
		rgbGen identity
	}
		{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/mrd3dm2/eq2_telepanel
{
	qer_editorimage textures/mrd3dm2/eq2_telepanel.tga
	q3map_lightimage textures/mrd3dm2/eq2_telegoo.tga
	q3map_surfacelight 40
	{
		map textures/mrd3dm2/eq2_telegoo.tga
		rgbGen identity
		tcMod turb 0 0.4 0 0.4
		tcGen environment
	}
	{
		map textures/sfx/beam.tga
		tcGen environment
		tcMod turb 0 0.17 0 1.635 //base amp phase freq
		tcMod Scroll 82.41 0.4
                blendFunc add
        }
    	{
		map textures/sfx/beam_blue4.tga
		tcGen environment
		tcMod turb 0 0.15 0 2.06 //base amp phase freq
		tcMod Scroll 123.47 0.43
                blendFunc add
        }
        {
		map textures/sfx/beam_waterlight.tga
		tcGen environment
		tcMod turb 0 0.12 0 2.75 //base amp phase freq
		tcMod Scroll 196 0.46
                blendFunc add
        }
	{
		map textures/mrd3dm2/eq2_telepanel.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mrd3dm2/eq2lt_baselt
{
	surfaceparm nomarks
	//q3map_surfacelight 3000
	q3map_surfacelight 2100
	q3map_lightimage textures/mrd3dm2/eq2_baselt.blend.tga
	qer_editorimage textures/mrd3dm2/eq2_baselt.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_baselt.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_baselt.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrd3dm2/eq2lt_baselt02
{
	surfaceparm nomarks
	//q3map_surfacelight 3000
	q3map_surfacelight 2100
	q3map_lightsubdivide 32
	q3map_lightimage textures/mrd3dm2/eq2_baselt02.blend.tga
	qer_editorimage textures/mrd3dm2/eq2_baselt02.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_baselt02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_baselt02.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrd3dm2/eq2lt_baselt02_1k
{
	surfaceparm nomarks
	//q3map_surfacelight 1000
	q3map_surfacelight 830
	q3map_lightsubdivide 32
	q3map_lightimage textures/mrd3dm2/eq2_baselt02.blend.tga
	qer_editorimage textures/mrd3dm2/eq2_baselt02.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_baselt02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_baselt02.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrd3dm2/eq2lt_baselt03
{
	surfaceparm nomarks
	//q3map_surfacelight 3000
	q3map_surfacelight 2100
	q3map_lightimage textures/mrd3dm2/eq2_baselt03.blend.tga
	qer_editorimage textures/mrd3dm2/eq2_baselt03.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_baselt03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_baselt03.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrd3dm2/eq2lt_baselt03b
{
	surfaceparm nomarks
	//q3map_surfacelight 3000
	q3map_surfacelight 2100
	q3map_lightimage textures/mrd3dm2/eq2_baselt03b.blend.tga
	qer_editorimage textures/mrd3dm2/eq2_baselt03b.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_baselt03b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_baselt03b.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrd3dm2/eq2lt_baselt03_2k
{
	surfaceparm nomarks
	//q3map_surfacelight 2000
	q3map_surfacelight 1730
	q3map_lightimage textures/mrd3dm2/eq2_baselt03.blend.tga
	qer_editorimage textures/mrd3dm2/eq2_baselt03.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_baselt03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_baselt03.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrd3dm2/eq2lt_baselt03b_2k
{
	surfaceparm nomarks
	//q3map_surfacelight 2000
	q3map_surfacelight 1730
	q3map_lightimage textures/mrd3dm2/eq2_baselt03b.blend.tga
	qer_editorimage textures/mrd3dm2/eq2_baselt03b.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_baselt03b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_baselt03b.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrd3dm2/eq2lt_clight_8k
{
	surfaceparm nomarks
	//q3map_surfacelight 8000
	q3map_surfacelight 7230
	q3map_lightimage textures/mrd3dm2/eq2_32caplight.blend.tga
	qer_editorimage textures/mrd3dm2/eq2_32caplight.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_32caplight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_32caplight.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrd3dm2/eq2lt_spawnlite_1k
{
	surfaceparm nomarks
	//q3map_surfacelight 1000
	q3map_surfacelight 835
	q3map_lightimage textures/mrd3dm2/eq2_weap_spawnlite.blend.tga
	qer_editorimage textures/mrd3dm2/eq2_weap_spawnlite.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_weap_spawnlite.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_weap_spawnlite.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrd3dm2/eq2lt_quadlite_1k
{
	surfaceparm nomarks
	//q3map_surfacelight 1000
	q3map_surfacelight 420
	q3map_lightimage textures/mrd3dm2/eq2_quad_spawnlite.blend.tga
	qer_editorimage textures/mrd3dm2/eq2_quad_spawnlite.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_quad_spawnlite.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_quad_spawnlite.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrd3dm2/eq2lt_stepsidelight_4k
{
	surfaceparm nomarks
	//q3map_surfacelight 4000
	q3map_surfacelight 3200
	q3map_lightimage textures/mrd3dm2/eq2_stepsidelight.blend.tga
	qer_editorimage textures/mrd3dm2/eq2_stepsidelight.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_stepsidelight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_stepsidelight.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrd3dm2/eq2lt_trimlight_3k
{
	surfaceparm nomarks
	//q3map_surfacelight 3000
	q3map_surfacelight 2100
	q3map_lightsubdivide 32
	q3map_lightimage textures/mrd3dm2/eq2_trimlight_01.blend.tga
	qer_editorimage textures/mrd3dm2/eq2_trimlight_01.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_trimlight_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_trimlight_01.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrd3dm2/eq2lt_trimlight_s_3k
{
	surfaceparm nomarks
	//q3map_surfacelight 3000
	q3map_surfacelight 2100
	q3map_lightsubdivide 32
	q3map_lightimage textures/mrd3dm2/eq2_trimlight_01s.blend.tga
	qer_editorimage textures/mrd3dm2/eq2_trimlight_01s.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_trimlight_01s.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_trimlight_01s.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrd3dm2/eq2lt_trimlite
{
	surfaceparm nomarks
	//q3map_surfacelight 2500
	q3map_surfacelight 1390
	q3map_lightimage textures/mrd3dm2/eq2_trimlite_side.blend.tga
	qer_editorimage textures/mrd3dm2/eq2_trimlite_side.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_trimlite_side.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_trimlite_side.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrd3dm2/eq2lt_wallbig_01_1000
{
	surfaceparm nomarks
	//q3map_surfacelight 1000
	q3map_surfacelight 830
	q3map_lightsubdivide 32
	qer_editorimage textures/mrd3dm2/eq2_wallbig_01.tga
	q3map_lightimage textures/mrd3dm2/eq2_wallbig_01.blend.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_wallbig_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_wallbig_01.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrd3dm2/eq2lt_wallbig_01b_1000
{
	surfaceparm nomarks
	//q3map_surfacelight 1000
	q3map_surfacelight 830
	q3map_lightsubdivide 32
	qer_editorimage textures/mrd3dm2/eq2_wallbig_01b.tga
	q3map_lightimage textures/mrd3dm2/eq2_wallbig_01.blend.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_wallbig_01b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_wallbig_01.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrd3dm2/eq2lt_walllight512_300
{
	surfaceparm nomarks
	//q3map_surfacelight 300
	q3map_surfacelight 275
	//q3map_lightsubdivide 32
	qer_editorimage textures/mrd3dm2/eq2_walllight_512.tga
	q3map_lightimage textures/mrd3dm2/eq2_walllight_512.blend.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_walllight_512.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_walllight_512.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrd3dm2/eq2_yell01_8k
{
	surfaceparm nomarks
	//q3map_surfacelight 8000
	q3map_surfacelight 7390
	q3map_lightimage textures/mrd3dm2/eq2_yell01.tga
	qer_editorimage textures/mrd3dm2/eq2_yell01.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrd3dm2/eq2_yell01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}